package com.fdkankan.common.constant;

import java.util.HashMap;
import java.util.Map;

public enum CameraTypeEnum {
    DOUBLE_EYE(0,"KK-","4DKKLITE_","旧双目相机"),
    FDKK_PRO(1,"KK-","4DKKPRO_","四维看看pro八目相机"),
    FDKK_LITE(2,"KK-","4DKKLITE_","四维看看lite"),
    ZHIHOUSE_REDHOUSE(5,"KK-","4DKKLITE_","指房宝小红屋相机"),
    DOUBLE_EYE_TURN(9,"KJ-","4DKKLITE_","双目转台"),
    LASER_TURN(10,"SS-","4DKKLA_","激光转台");


    private int type;
    private String sceneNumPrefix;
    private String wifiNamePrefix;
    private String desc;

    public int getType() {
        return type;
    }

    public String getSceneNumPrefix() {
        return sceneNumPrefix;
    }

    static Map<Integer,CameraTypeEnum> typeMaps = new HashMap<>(5);

    static{
        for (CameraTypeEnum typeEnum : CameraTypeEnum.values()) {
            typeMaps.put(typeEnum.getType(),typeEnum);
        }
    }

    CameraTypeEnum(Integer type, String sceneNumPrefix, String wifiNamePrefix, String desc) {
        this.type = type;
        this.sceneNumPrefix = sceneNumPrefix;
        this.wifiNamePrefix = wifiNamePrefix;
        this.desc = desc;
    }

    public static String getSceneNumPrefixByType(Integer type){
        if(typeMaps.containsKey(type)){
            return typeMaps.get(type).getSceneNumPrefix();
        }
        return "";
    }

}
